# P2Pool API

`P2Pool-API` is a Python module that enables seamless interaction with the P2Pool API, offering a range of features designed to enhance usability, flexibility, and reliability. Detailed documentation is available [here](https://hreikin.co.uk/p2pool-api/), and can also be built locally if needed.

## Getting Started

To get started with `P2Pool-API`, visit the [Usage](usage.md) page for a quick installation and usage guide. For an in-depth overview of the module’s capabilities, consult the reference pages available at the documentation site.  

For more examples, visit the [Examples](examples.md) page. Additionally, you can refer to the [Logging](logger.md) section for details on how to enable and configure logging.

## Features

`P2Pool-API` includes several powerful features:

- **Data Persistence**: Store and manage p2pool data in a database to ensure resilience and prevent data loss during API or p2pool restarts.
- **Getting Started Examples**: Practical examples to help new users quickly understand and use the tool.
- **Reference Documentation**: Detailed documentation to guide you through all features and functions.  
- **Logging**: Configurable logging for better debugging and monitoring.
- **Custom Exceptions**: Specific exceptions for handling API errors, connection errors, and database errors.
- **Data Caching**: Retrieve and cache various properties and statistics from P2Pool's API responses.
- **Database Operations**: Insert and delete p2pool-related data in the database.
- **Enhanced Data Persistence**: Improved database support with more detailed data storage and retrieval options.
- **Test Coverage**: A basic test suite for enhanced reliability and easier development.

## Planned Features

- **Performance Optimization**: Enhancements to improve the performance and efficiency of the module.
- **Improved Error Handling**: More robust error handling and recovery mechanisms.
- **Comprehensive Test Coverage**: A more robust test suite for enhanced reliability and easier development.

These features make `P2Pool-API` an ideal solution for both miners and developers seeking a user-friendly and robust tool.

## Contributing

Contributions are both encouraged and greatly appreciated, more information can be found on the [Contributing](CONTRIBUTING.md) page.

## Donations

If you find `P2Pool-API` useful and would like to support its development, consider sending a donation in XMR to the following address:  

`49ipjnJgoRnPsX8v5LVzUvfpSou6agomvKZnqD8zqFVqG6aqeUvKPyJ4WXhodiBPSvAuPNEmhF5QSiaJ59ZgFKwq9bXzCjz`  

Your support is greatly appreciated!