# Examples

This page provides detailed examples of how to use the `p2pool` API. Each example demonstrates a specific functionality. 

## Examples List

01. [Add P2Pool](#add-p2pool)
02. [Update All Endpoints](#update-all-endpoints)
03. [Update Individual Endpoints](#update-individual-endpoints)
04. [Access Properties](#access-properties)

## Add P2Pool

This example demonstrates how to initialize the P2PoolAPI object. 

```python title="add_p2pool.py" linenums="1"
{% include "../examples/add_p2pool.py" %}
```

## Update All Endpoints

This example demonstrates how to update all endpoints. 

```python title="update_all_endpoints.py" linenums="1"
{% include "../examples/update_all_endpoints.py" %}
```

## Update Individual Endpoints

This example demonstrates how to update individual endpoints. 

```python title="update_individual_endpoints.py" linenums="1"
{% include "../examples/update_individual_endpoints.py" %}
```

## Access Properties

This example demonstrates how to access properties. 

```python title="access_properties.py" linenums="1"
{% include "../examples/access_properties.py" %}
```